Overview
GET
/team/teams/{id}teamGet teams by id
Fetch a record from teams by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
teams
- idstring
- ownerKindstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- createdBystring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"createdBy": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/team/teams/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/team/teams/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();